"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Triangle = exports.Square = exports.Circle = void 0;
const react_1 = __importDefault(require("react"));
function Circle({ x, y, fill, size }) {
    return react_1.default.createElement("circle", { cx: x, cy: y, r: size, fill: fill });
}
exports.Circle = Circle;
function Square({ x, y, fill, size }) {
    return (react_1.default.createElement("rect", { x: x - size, y: y - size, width: 2 * size, height: 2 * size, fill: fill }));
}
exports.Square = Square;
function Triangle({ x, y, fill, size }) {
    const height = y + size;
    return (react_1.default.createElement("polygon", { points: `${x - size},${height} ${x + size},${height} ${x},${y - size}`, fill: fill }));
}
exports.Triangle = Triangle;
