import React from 'react';
export function Circle({ x, y, fill, size }) {
    return React.createElement("circle", { cx: x, cy: y, r: size, fill: fill });
}
export function Square({ x, y, fill, size }) {
    return (React.createElement("rect", { x: x - size, y: y - size, width: 2 * size, height: 2 * size, fill: fill }));
}
export function Triangle({ x, y, fill, size }) {
    const height = y + size;
    return (React.createElement("polygon", { points: `${x - size},${height} ${x + size},${height} ${x},${y - size}`, fill: fill }));
}
//# sourceMappingURL=Markers.js.map